Subject: [Bnbsg] Fwd: [6lo] FW: LLN Plugfest at IETF 90

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 11 Jun 2014 18:19:24 +0200

Hi,

I wonder whether the LLN plugfest (low-power and lossy networks) 
mentioned in this email may be related to the IoT BnB?

Maybe some people who demo on Sunday (LLN plugfest) may demo during the 
BnB event as well?

Alex

-------- Message original --------
Sujet: 	[6lo] FW: LLN Plugfest at IETF 90
Date : 	Thu, 5 Jun 2014 18:20:42 +0000
De : 	Samita Chakrabarti <[email-masked]>
Pour : 	[email-masked] <[email-masked]>

Hello :

The co-chairs are working with Ines and Xavier  on facilitating this
plugfest event.

The  interoperability event will take place on Sunday morning of the IETF90.

It’d be a great opportunity to participate and test your 6lo-draft
implementations in this event.

We have several WG drafts and there are potential ones. Please
co-ordinate with  Ines and Xavi and also let the 6lo chairs know if you
like to participate in this event.

Thanks,

-Samita

*From:*ipv6 [mailto:[email-masked]] *On Behalf Of *Ines Robles
*Sent:* Sunday, June 01, 2014 3:03 PM
*To:* ietf
*Cc:* [email-masked]; [email-masked]; [email-masked]; roll;
[email-masked]; [email-masked]; [email-masked]; [email-masked];
[email-masked]; [email-masked]
*Subject:* LLN Plugfest at IETF 90

Dear all,

We would like to announce the plugfest event at the 90th IETF Meeting in
Toronto.

We call for participants. The deadline to receive topics to present or
demonstrate in the event is 06/13/2014. Interested audience is also
welcome and we encourage audience to participate in the feedback session.

Please find next the plugfest information.

We hope to see you there!

Xavier and Ines.

-----------------------

   Low Power and Lossy Networks plugfest at IETF90

The IETF 6TiSCH <https://datatracker.ietf.org/wg/6tisch/charter/>, IETF
6lo <https://datatracker.ietf.org/wg/6lo/charter/> and IETF ROLL
<https://datatracker.ietf.org/wg/roll/charter/> working groups are
hosting an informal "plugfest" event at the IETF90 meeting, in Toronto,
CA, during the week of July 20-25 2014.

     Goals

The goal of this event is to bring together people interested in
hands-on experience around the technology developed by the 6TiSCH, 6lo
and ROLL working groups, with a particular focus on the TSCH mode of
IEEE802.15.4e, 6lowpan, RPL and new WG specifications.

       When and where ?

·*Date*: Sunday July 20 2014, 0900-1300 EDT.

·*Location*: Meeting Room TBD, Fairmont Royal York Hotel 100 Front
Street W, Toronto, CA.

*Early access: TBD if the plugfest room will be open starting 8am EDT on
Sunday 20 2014 to allow people to set up.*

     Topology proposed - TBD

·Star topology

·IPv6

     Complementary angles

This event will feature the following complementary angles:

·Interoperation

·Demonstration

·Tools

     Focus 1: Interoperation

Download the interoperation guidelines:

·- TBD for Toronto - interoperation guidelines, version 1 (London)
<https://bitbucket.org/6tisch/meetings/src/master/140306_ietf89_plugfest_london/ietf89_6tisch_interop_guidelines_v01.pdf>

The goal is to achieve interoperation between different hardware and
software implementations on the different aspects addressed by 6lo,
6TiSCH and ROLL WGs. This include 6TiSCH minimal draft implementation,
demonstrating TSCH synchronization and OF0 for RPL on a minimal network.
6lowpan to demostrate cross link layer inter-operability by means of
bridges or backbones routers. Storing and non-storing RPL implementation
including its coexistance in different sub-networks.

The focus during this event is open to demonstrating 6lo, ROLL or 6TiSCH
drafts implementations, including but not limited to: e.g. - 6TiSCH
minimal draft: http://tools.ietf.org/html/draft-ietf-6tisch-minimal-00.
- TBD

Participants are encouraged to bring devices which implement parts or
all of the listed drafts.

Levels of interoperation are proposed:

·*Level 1*, star topology. A single BBR devices acts as the time source
neighbor for all other nodes. Nodes need to demonstrate frame-based and
acknowledgement-based synchronization. The static TSCH schedule, as well
as all slot timings are taken from draft-ietf-6tisch-minimal-00.

·*Level 2*, multi-hop topology. This level builds upon level 1. The
goal of this level is full compliance to draft-ietf-6tisch-minimal-00,
including multi-hop routing (RPL).

·*Level 3*, on-the-fly scheduling. [optional] Preliminary
implementations of
http://tools.ietf.org/html/draft-dujovne-6tisch-on-the-fly can be shown.

·*Level 4*, drafts from ROLL, such as:
draft-ietf-roll-mpl-parameter-configuration,
draft-ko-roll-mix-network-pathology, Opportunistic routing, selective
DIS, and others that participants want to show

·*Level 5*, drafts from 6lo, such as: draft-ietf-6lo-btle,
draft-ietf-6lo-ghc,draft-ietf-6lo-lowpanz, and others that participants
want to show.

·*Level 6* Other drafts, such as draft-thubert-6man-flow-label-for-rpl,
etc.

     Focus 2: Demonstration

Participants are encouraged to bring devices and technology based on
6TiSCH, 6lo and ROLL which they believe can be of interest for the other
participants. These devices may or may not participate in the
interoperation event. Demonstration of more complete systems are
encouraged, for example systems which show the interconnection of a
6TiSCH based mesh to traditional networks.

     Focus 3: Tools

Participants are encouraged to bring and present different tools
developed around 6TiSCH/6lo/ROLL networks. Possible tools include, but
are not limited to:

·acquisition devices (i.e. "sniffers")

·packet analysis tools (e.g. Wireshark)

·simulation/emulation platforms

     Important Dates

The preparation of this event will be held during a portion of the
bi-weekly 6TiSCH call (*To Be Decided how and when!!!*). In particular:

·*06/02/2014* Announcement of the plugfest event to the WG/ML related
with constrained devices, such as: 6tisch, 6lo, roll, core, lwig,
dtls-iot, coman, ace, etc.

·*06/06/2014* Adoption of the plugfest call by the WGs, and call for
participants at each group.

·*06/02/2014-06/13/2014* Participants have contacted the plugfest
chairs (Xavier or Ines) with a tentative description of what they wish
to participate in.

·*06/20/2014* Synchronization point 1. Participants can share the state
of advancement of the implementation and raise blocking points.

·*07/11/2014* Synchronization point 2. Participants can share the state
of advancement of the implementation and raise blocking points.

·*07/20/2014*. Plugfest at IETF90.

     Tentative Agenda from 9:00 to 13:00

·/[09.00]/ Welcome and Initial Instructions

·/[09.05]/ Participants Pitch (5 min per Participant)

·/[09.45]/ Participants Pitch Tools (5 min per Participant)

·/[10.15]/ Interoperation (Islands)

·/[11.50]/ Feedback and open discussion.

·/[12.40]/ Acknowledgements and Plugfest End

     For More Information

·*Contact*: Xavi Vilajosana [email-masked]
<mailto:[email-masked]> - Ines Robles
[email-masked] <mailto:[email-masked]>

     Note Well

This event is organized as part of the IETF90 standardization meeting.
You need to register to the IETF90 conference to be able to participate.
Daily passes are available. The IETF Note Well applies to this plugfest,
see http://www.ietf.org/about/note-well.html.

     About

The IETF 6TiSCH working group standardizes mechanisms focusing on
enabling IPv6 over the TSCH mode of the IEEE802.15.4e standard. You can
access the charter at http://datatracker.ietf.org/wg/6tisch/charter/,
which also contains links to the mailing list and the Internet-Drafts
published by the group. 6TiSCH holds weekly phone calls on Friday 8am
PST. Participation is open, and is subject to the IETF Note Well.

The IETF 6lo working group focuses on the work that facilitates IPv6
connectivity over constrained node networks with the characteristics of:
limited power, memory and processing resources;. You can access the
charter at https://datatracker.ietf.org/wg/6lo/charter/, which also
contains links to the mailing list and the I-D published by the group.

The IETF ROLL working group is focused on routing issues for LLN (Low
Power and Lossy Networks), in IPv6 routing architectural framework for
the industrial, connected home, building and urban sensor networks
application scenarios. You can access the charter at
https://datatracker.ietf.org/wg/roll/charter/, which also contains links
to the mailing list and the I-D published by the group.

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Thu, 19 Jun 2014 12:35:56 +0000

It is not, Alex.

I tried but the BnB is a commercial event and entrance is for a fee that the plugfesters will not afford...

Cheers,

Pascal

> -----Original Message-----
> From: Bnbsg [mailto:[email-masked]] On Behalf Of Alexandru
> Petrescu
> Sent: mercredi 11 juin 2014 18:19
> To: [email-masked]
> Subject: [Bnbsg] Fwd: [6lo] FW: LLN Plugfest at IETF 90
> 
> Hi,
> 
> Maybe some people who demo on Sunday (LLN plugfest) may demo during
> the BnB event as well?
> 
> Alex
> 
> 
> The co-chairs are working with Ines and Xavier  on facilitating this plugfest
> event.
> 
> We have several WG drafts and there are potential ones. Please co-ordinate
> with  Ines and Xavi and also let the 6lo chairs know if you like to participate
> in this event.
> 
> Thanks,
> 
> -Samita
> 
> [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked];
> [email-masked]
> demonstrate in the event is 06/13/2014. Interested audience is also welcome
> and we encourage audience to participate in the feedback session.
> 
> The IETF 6TiSCH <https://datatracker.ietf.org/wg/6tisch/charter/>, IETF 6lo
> <https://datatracker.ietf.org/wg/6lo/charter/> and IETF ROLL
> <https://datatracker.ietf.org/wg/roll/charter/> working groups are hosting
> an informal "plugfest" event at the IETF90 meeting, in Toronto, CA, during
> the week of July 20-25 2014.
> 
> 
>      Goals
> 
> The goal of this event is to bring together people interested in hands-on
> experience around the technology developed by the 6TiSCH, 6lo and ROLL
> working groups, with a particular focus on the TSCH mode of IEEE802.15.4e,
> 6lowpan, RPL and new WG specifications.
> 
> 
>        When and where ?
> 
> <https://bitbucket.org/6tisch/meetings/src/master/140306_ietf89_plugfest_l
> ondon/ietf89_6tisch_interop_guidelines_v01.pdf>
> 
> software implementations on the different aspects addressed by 6lo, 6TiSCH
> and ROLL WGs. This include 6TiSCH minimal draft implementation,
> 6lowpan to demostrate cross link layer inter-operability by means of bridges
> or backbones routers. Storing and non-storing RPL implementation including
> its coexistance in different sub-networks.
> 
> drafts implementations, including but not limited to: e.g. - 6TiSCH minimal
> draft: http://tools.ietf.org/html/draft-ietf-6tisch-minimal-00.
> - TBD
> 
> Participants are encouraged to bring devices which implement parts or all of
> the listed drafts.
> 
> ·*Level 2*, multi-hop topology. This level builds upon level 1. The goal of
> this level is full compliance to draft-ietf-6tisch-minimal-00, including multi-
> hop routing (RPL).
> 
> ·*Level 3*, on-the-fly scheduling. [optional] Preliminary implementations of
> draft-ko-roll-mix-network-pathology, Opportunistic routing, selective DIS,
> and others that participants want to show
> 
> ·*Level 5*, drafts from 6lo, such as: draft-ietf-6lo-btle, draft-ietf-6lo-
> ghc,draft-ietf-6lo-lowpanz, and others that participants want to show.
> 
> participants. These devices may or may not participate in the interoperation
> event. Demonstration of more complete systems are encouraged, for
> example systems which show the interconnection of a 6TiSCH based mesh to
> traditional networks.
> 
> 
>      Focus 3: Tools
> 
> Participants are encouraged to bring and present different tools developed
> around 6TiSCH/6lo/ROLL networks. Possible tools include, but are not
> limited to:
> 
> The preparation of this event will be held during a portion of the bi-weekly
> 6TiSCH call (*To Be Decided how and when!!!*). In particular:
> 
> with constrained devices, such as: 6tisch, 6lo, roll, core, lwig, dtls-iot, coman,
> ace, etc.
> 
> ·*06/02/2014-06/13/2014* Participants have contacted the plugfest chairs
> (Xavier or Ines) with a tentative description of what they wish to participate
> in.
> 
> ·*06/20/2014* Synchronization point 1. Participants can share the state of
> advancement of the implementation and raise blocking points.
> 
> ·*07/11/2014* Synchronization point 2. Participants can share the state of
> advancement of the implementation and raise blocking points.
> 
> Daily passes are available. The IETF Note Well applies to this plugfest, see
> http://www.ietf.org/about/note-well.html.
> 
> 
>      About
> 
> which also contains links to the mailing list and the Internet-Drafts published
> by the group. 6TiSCH holds weekly phone calls on Friday 8am PST.
> Participation is open, and is subject to the IETF Note Well.
> 
> charter at https://datatracker.ietf.org/wg/6lo/charter/, which also contains
> links to the mailing list and the I-D published by the group.
> 
> The IETF ROLL working group is focused on routing issues for LLN (Low Power
> and Lossy Networks), in IPv6 routing architectural framework for the
> industrial, connected home, building and urban sensor networks application
> scenarios. You can access the charter at
> https://datatracker.ietf.org/wg/roll/charter/, which also contains links to the
> mailing list and the I-D published by the group.
> 
>